import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.shop.store.media.getList,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.store.media.doEdit,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.store.media.doDelete,
    method: 'post',
    data,
  })
}
export function batchSaveMedia(data) {
  return request({
    url: URL.shop.store.media.batchSaveMedia,
    method: 'post',
    data,
  })
}
